DECLARE SUB MouseShow ()

DECLARE SUB MouseHide ()
DECLARE SUB ShowBMP (File$)
'$INCLUDE: 'directqb.bi'

Crediti:
DATA 16
DATA "Thomas & Leandro productions presents"
DATA ""
DATA "Commander Pang"
DATA "a game by Thomas Laguzzi"
DATA ""
DATA "Credits:
DATA ""
DATA "Thomas Laguzzi
DATA "Main Idea and Code"
DATA "a little part of graphics"
DATA "mouse routines"
DATA ""
DATA "Leandro Pardini
DATA "a big part of graphics"
DATA "tips, suggestions and bug reports"
DATA "moral support"
Crediti2:
DATA 16
DATA ""
DATA "Angelo Mottola
DATA "for the DirectQB library"
DATA ""
DATA "Anders Oloffson"
DATA "for the Bmp routines"
DATA ""
DATA "Andre Victor"
DATA "for the 'flames' effect"
DATA ""
DATA "Jesse Dorland"
DATA "for the 'small' QMIDI player"
DATA ""
DATA "for the fading routines: unknown"
DATA "for the shaded text routines: unknown"
DATA ""
Crediti3:
DATA 16
DATA "Other peoples that have got me any help"
DATA ""
DATA "Lorenzo Moroni & Duccio Barberi"
DATA "Critics and tips"
DATA ""
DATA "My small parrot"
DATA "let my programming happy"
DATA ""
DATA "Some other peoples"
DATA "they know that my game exists"
DATA ""
DATA "Finally a very big thanks to"
DATA "MY COMPUTER"
DATA ""
DATA "Thomas & Leandro Productions HomePage"
DATA "HTTP://tlp.virtualave.net"
Crediti4:
DATA 16
DATA "Write to Laguzzi@mail.dada.it"
DATA "for any suggestion or tip"
DATA ""
DATA ""
DATA ""
DATA ""
DATA ""
DATA ""
DATA ""
DATA ""
DATA ""
DATA ""
DATA ""
DATA "Thanks for playing this game"
DATA ""
DATA "Italy 23/12/1998          Thomas Laguzzi"

REM $DYNAMIC
SUB Credit
DQBRemoveKeyboard
MouseHide
ShowBMP "bmp\4.bmp"
DQBCopyLayer 0, 1

RESTORE Crediti:
READ NumCred

DIM Credits(1 TO NumCred) AS STRING

FOR I = 1 TO NumCred
READ Credits(I)
Credits(I) = Credits(I) + CHR$(0)
NEXT I

FOR I = 180 TO 0 STEP -1

DQBCopyLayer 1, 0

FOR y = 1 TO NumCred

Posx = (320 - ((LEN(Credits(y)) - 1) * 8)) / 2
DQBPrint 0, VARSEG(Credits(y)), SADD(Credits(y)), Posx, I + (y * 12), 0
DQBPrint 0, VARSEG(Credits(y)), SADD(Credits(y)), Posx - 1, (I + (y * 12)) - 1, 15

NEXT y

DQBWait 2
NEXT I
DQBRemoveKeyboard
SLEEP
CLOSE

RESTORE Crediti2:
READ NumCred

REDIM Credits(1 TO NumCred) AS STRING

FOR I = 1 TO NumCred
READ Credits(I)
Credits(I) = Credits(I) + CHR$(0)
NEXT I

FOR I = 180 TO 0 STEP -1

DQBCopyLayer 1, 0

FOR y = 1 TO NumCred

Posx = (320 - ((LEN(Credits(y)) - 1) * 8)) / 2
DQBPrint 0, VARSEG(Credits(y)), SADD(Credits(y)), Posx, I + (y * 12), 0
DQBPrint 0, VARSEG(Credits(y)), SADD(Credits(y)), Posx - 1, (I + (y * 12)) - 1, 15

NEXT y

DQBWait 2
NEXT I
DQBRemoveKeyboard
SLEEP
CLOSE

RESTORE Crediti3:
READ NumCred

REDIM Credits(1 TO NumCred) AS STRING

FOR I = 1 TO NumCred
READ Credits(I)
Credits(I) = Credits(I) + CHR$(0)
NEXT I

FOR I = 180 TO 0 STEP -1

DQBCopyLayer 1, 0

FOR y = 1 TO NumCred

Posx = (320 - ((LEN(Credits(y)) - 1) * 8)) / 2
DQBPrint 0, VARSEG(Credits(y)), SADD(Credits(y)), Posx, I + (y * 12), 0
DQBPrint 0, VARSEG(Credits(y)), SADD(Credits(y)), Posx - 1, (I + (y * 12)) - 1, 15

NEXT y

DQBWait 2
NEXT I
DQBRemoveKeyboard
SLEEP
CLOSE
RESTORE Crediti4:
READ NumCred

REDIM Credits(1 TO NumCred) AS STRING

FOR I = 1 TO NumCred
READ Credits(I)
Credits(I) = Credits(I) + CHR$(0)
NEXT I

FOR I = 180 TO 0 STEP -1

DQBCopyLayer 1, 0

FOR y = 1 TO NumCred

Posx = (320 - ((LEN(Credits(y)) - 1) * 8)) / 2
DQBPrint 0, VARSEG(Credits(y)), SADD(Credits(y)), Posx, I + (y * 12), 0
DQBPrint 0, VARSEG(Credits(y)), SADD(Credits(y)), Posx - 1, (I + (y * 12)) - 1, 15

NEXT y

DQBWait 2
NEXT I
DQBRemoveKeyboard
SLEEP
CLOSE
MouseShow

END SUB

